/**
 * Handle: expandoo_admin
 * Version: 0.0.1
 * Deps: $jq
 * Enqueue: true
 */

jQuery(function($) {

    $('[name="expandoo_selector"]').on('change', function() {
        $('#expandoo_classname input').prop('disabled', !(this.value == 'class') || this.value == 'img');
        $('#expandoo_custom input').prop('disabled', !(this.value == 'custom') || this.value == 'img');
    }).trigger('change');
    
    $('[name="expandoo_expand"]').on('change', function() {
        $('#expandoo_pixel input').prop('disabled', !(this.value == 'pixel') || this.value == 'parent');
        $('#expandoo_closest input').prop('disabled', !(this.value == 'closest') || this.value == 'parent');
    }).trigger('change');
    
    $('[name="expandoo_tooltip"]').on('change', function() {
        $(this).closest('.form-table').find(':input').not('[type="radio"]').prop('disabled', this.value != 'on');
        $('#expandoo_tooltip_text').trigger('change');
    });
    
    
    $('#expandoo_tooltip_text, #expandoo_tooltip_mini, #expandoo_tooltip_maxi').prop('disabled', $('[name="expandoo_tooltip"]:checked').val() != 'on');
    
    $('#expandoo_tooltip_text').on('change', function() {
        $('#expandoo_tooltip_mini, #expandoo_tooltip_maxi').prop('disabled', this.value != 'custom');
    }).trigger('change');
    
    
    if ( typeof $.fn.wpColorPicker == 'function' ) {
        $('.expandoo-color').wpColorPicker();
    }
    
    $(document).on('click', '.media-modal .attachment', function() {
        (function rec() {
            var expandoo_option = $('<option />', {
                value : 'expandoo',
                text  : 'Expandoo'
            }),
                select = $('select.link-to:not(:has(.expandoo_option))');
                
            if (select.length) {
                select.find('option:last').before(expandoo_option);
                select.on('change', function() {
                    if (this.value == 'expandoo') {
                        setTimeout(function() {
                            $('.link-to-custom').hide().val('expandoo');
                            $('.alignment option').each(function() {
                                this.value = this.value+'_' + expandoo_options.expandoo_class;
                            });
                            $('.alignment').trigger('change');
                        });
                    }
                }).val('expandoo').trigger('change');
                setTimeout(function() {
                    if ( ! $('select.link-to').has('.expandoo_option') ) {
                        rec();
                    }
                }, 200);
            }
        }());
    });
});