<?php
    if ( function_exists('current_user_can') && !current_user_can('manage_options') )
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
    
   function expandoo_admin_tabs( $current = 'general' ) {
        $tabs = array( 'general' => 'General settings',
                       'animation' => 'Animations',
                       'tooltip' => 'Tooltips'
                    );
        echo '<h2 class="nav-tab-wrapper">';
        foreach( $tabs as $tab => $name ){
            $class = ( $tab == $current ) ? ' nav-tab-active' : '';
            echo "<a class='nav-tab$class' href='?page=expandoo&tab=$tab'>$name</a>";
        }
        echo '</h2>';
    }
    
    $hidden_field_name = 'expandoo_submit_hidden';
    
    $expandoo_class_name  = 'expandoo_class';
    $expandoo_class = get_option( $expandoo_class_name , "expandoo");
    
    $expandoo_custom_name = 'expandoo_custom';
    $expandoo_custom = get_option( $expandoo_custom_name , "img.expandoo");
    
    $expandoo_selector_name = 'expandoo_selector';
    $expandoo_selector = get_option( $expandoo_selector_name , "class");
    
    
    $expandoo_expand_name = 'expandoo_expand';
    $expandoo_expand = get_option( $expandoo_expand_name , "parent");
    
    $expandoo_closest_name = 'expandoo_closest';
    $expandoo_closest = get_option( $expandoo_closest_name , "div.entry-content");
    
    $expandoo_pixel_name = 'expandoo_pixel';
    $expandoo_pixel = get_option( $expandoo_pixel_name , "400");
    
    
    $expandoo_speed_name = 'expandoo_speed';
    $expandoo_speed = get_option( $expandoo_speed_name , "800");
    
    $expandoo_shadow_name = 'expandoo_shadow';
    $expandoo_shadow = get_option( $expandoo_shadow_name , "0");
    
    $expandoo_offset_t_name = 'expandoo_offset_t';
    $expandoo_offset_t = get_option( $expandoo_offset_t_name , "0");
    
    $expandoo_offset_l_name = 'expandoo_offset_l';
    $expandoo_offset_l = get_option( $expandoo_offset_l_name , "0");
    
    $expandoo_color_name = 'expandoo_color';
    $expandoo_color = get_option( $expandoo_color_name , "#000");
    
    $expandoo_effect = get_option( "expandoo_effect" , "off");
    
    $expandoo_easing_name = 'expandoo_easing';
    $expandoo_easing = get_option( $expandoo_easing_name , "linear");
    
    
    $expandoo_tooltip = get_option( "expandoo_tooltip" , "off");
    
    
    $expandoo_text_name = 'expandoo_tooltip_text';
    $expandoo_text = get_option( $expandoo_text_name , "custom");
    
    $expandoo_custom_text_mini_name = 'expandoo_tooltip_mini';
    $expandoo_custom_text_mini = get_option( $expandoo_custom_text_mini_name , "Click to expand");
    
    $expandoo_custom_text_maxi_name = 'expandoo_tooltip_maxi';
    $expandoo_custom_text_maxi = get_option( $expandoo_custom_text_maxi_name , "Click to minimize");
    
    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
        if ( isset( $_POST[ $expandoo_class_name ] ) ) {
            $expandoo_class  = $_POST[ $expandoo_class_name ];
            update_option( $expandoo_class_name, $expandoo_class );
        }
        
        if ( isset( $_POST[ $expandoo_custom_name ] ) ) {
            $expandoo_custom  = $_POST[ $expandoo_custom_name ];
            update_option( $expandoo_custom_name, $expandoo_custom );
        }
        
        if ( isset( $_POST[ $expandoo_selector_name ] ) ) {
            $expandoo_selector  = $_POST[ $expandoo_selector_name ];
            update_option( $expandoo_selector_name, $expandoo_selector );
        }
        
        
        
        if ( isset( $_POST[ $expandoo_expand_name ] ) ) {
            $expandoo_expand  = $_POST[ $expandoo_expand_name ];
            update_option( $expandoo_expand_name, $expandoo_expand );
        }
        
        if ( isset( $_POST[ $expandoo_closest_name ] ) ) {
            $expandoo_closest  = $_POST[ $expandoo_closest_name ];
            update_option( $expandoo_closest_name, $expandoo_closest );
        }
        
        if ( isset( $_POST[ $expandoo_pixel_name ] ) ) {
            $expandoo_pixel  = $_POST[ $expandoo_pixel_name ];
            update_option( $expandoo_pixel_name, $expandoo_pixel );
        }
        
        
        if ( isset( $_POST[ $expandoo_speed_name ] ) ) {
            $expandoo_speed  = $_POST[ $expandoo_speed_name ];
            update_option( $expandoo_speed_name, $expandoo_speed );
        }
        
        if ( isset( $_POST[ $expandoo_shadow_name ] ) ) {
            $expandoo_shadow  = $_POST[ $expandoo_shadow_name ];
            update_option( $expandoo_shadow_name, $expandoo_shadow );
        }
        
        if ( isset( $_POST[ $expandoo_offset_t_name ] ) ) {
            $expandoo_offset_t  = $_POST[ $expandoo_offset_t_name ];
            update_option( $expandoo_offset_t_name, $expandoo_offset_t );
        }
        
        if ( isset( $_POST[ $expandoo_offset_l_name ] ) ) {
            $expandoo_offset_l  = $_POST[ $expandoo_offset_l_name ];
            update_option( $expandoo_offset_l_name, $expandoo_offset_l );
        }
        
        if ( isset( $_POST[ $expandoo_color_name ] ) ) {
            $expandoo_color  = $_POST[ $expandoo_color_name ];
            update_option( $expandoo_color_name, $expandoo_color );
        }
        
        if ( isset( $_POST['expandoo_effect'] ) ) {
            $expandoo_effect  = $_POST['expandoo_effect'];
            update_option( 'expandoo_effect', $expandoo_effect );
        }
        
        if ( isset( $_POST[ $expandoo_easing_name ] ) ) {
            $expandoo_easing  = $_POST[ $expandoo_easing_name ];
            update_option( $expandoo_easing_name, $expandoo_easing );
        }
        
        
        if ( isset( $_POST['expandoo_tooltip'] ) ) {
            $expandoo_tooltip  = $_POST['expandoo_tooltip'];
            update_option( 'expandoo_tooltip', $expandoo_tooltip );
        }
        
        if ( isset( $_POST[ $expandoo_text_name ] ) ) {
            $expandoo_text  = $_POST[ $expandoo_text_name ];
            update_option( $expandoo_text_name, $expandoo_text );
        }
        
        if ( isset( $_POST[ $expandoo_custom_text_maxi_name ] ) ) {
            $expandoo_custom_text_maxi  = $_POST[ $expandoo_custom_text_maxi_name ];
            update_option( $expandoo_custom_text_maxi_name, $expandoo_custom_text_maxi );
        }
        
        if ( isset( $_POST[ $expandoo_custom_text_mini_name ] ) ) {
            $expandoo_custom_text_mini  = $_POST[ $expandoo_custom_text_mini_name ];
            update_option( $expandoo_custom_text_mini_name, $expandoo_custom_text_mini );
        }

        ?>
        <div class="updated"><p><strong><?php esc_attr_e('Options saved.') ?></strong></p></div>
        <?php

    }
        
    ?>
        <div class="wrap">
            <h2>Expandoo</h2>
            <br />
            <form name="form1" method="post" action="">
                <input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
    
    <?php
        if ( isset ( $_GET['tab'] ) ) {
        expandoo_admin_tabs($_GET['tab']);
    }else{
        expandoo_admin_tabs('general');
    }

    global $pagenow;
    if ( $pagenow == 'plugins.php' && $_GET['page'] == 'expandoo' ){
        if ( isset ( $_GET['tab'] ) ) {
            $tab = $_GET['tab'];
        }else{
            $tab = 'general';
        }
        switch ( $tab ){
            case 'general' :
    ?>
                <br />
                <h3>Images to target</h3>
                <table class="form-table">
                    <tr valign="top">
                        <th scope="row"><label for="expandoo_selector">Apply Expandoo to</label></th>
                        <td>
                            <select name="expandoo_selector">
                                <option value="class" <?php selected( $expandoo_selector, 'class' ); ?>>a classname</option>
                                <option value="img" <?php selected( $expandoo_selector, 'img' ); ?>>all images</option>
                                <option value="custom" <?php selected( $expandoo_selector, 'custom' ); ?>>custom selector</option>
                            </select>
                        </td>
                    </tr>
                    
                    <tr valign="top" id="expandoo_classname">
                        <th scope="row"><label for="<?php echo $expandoo_class_name; ?>">Expandoo classname</label></th>
                        <td><input name="<?php echo $expandoo_class_name; ?>" type="text" id="<?php echo $expandoo_class_name; ?>" value="<?php echo $expandoo_class; ?>" class="regular-text" /></td>
                    </tr>
                    
                    <tr valign="top" id="expandoo_custom" >
                        <th scope="row"><label for="<?php echo $expandoo_custom_name; ?>">Expandoo custom selector</label></th>
                        <td>
                            <input name="<?php echo $expandoo_custom_name; ?>" type="text" id="<?php echo $expandoo_custom_name; ?>" value="<?php echo $expandoo_custom; ?>" class="regular-text" />
                            <p class="description">Any valid jQuery selector</p>
                        </td>
                    </tr>
                </table>
                <br />
                <h3>Expand to size</h3>
                <table class="form-table">
                    
                    <tr valign="top">
                        <th scope="row"><label for="expandoo_expand">Expand to same size as</label></th>
                        <td>
                            <select name="expandoo_expand">
                                <option value="parent" <?php selected( $expandoo_expand, 'parent' ); ?>>parent element</option>
                                <option value="closest" <?php selected( $expandoo_expand, 'closest' ); ?>>closest matching selector</option>
                                <option value="pixel" <?php selected( $expandoo_expand, 'pixel' ); ?>>pixel value</option>
                            </select>
                        </td>
                    </tr>
                    
                    <tr valign="top" id="expandoo_closest">
                        <th scope="row"><label for="<?php echo $expandoo_closest_name; ?>">Closest element selector</label></th>
                        <td>
                            <input name="<?php echo $expandoo_closest_name; ?>" type="text" id="<?php echo $expandoo_closest_name; ?>" value="<?php echo $expandoo_closest; ?>" class="regular-text" />
                            <p class="description">Searches for closest parent matching any valid jQuery selector</p>
                        </td>
                    </tr>
                    
                    <tr valign="top" id="expandoo_pixel">
                        <th scope="row"><label for="<?php echo $expandoo_pixel_name; ?>">Static pixel value</label></th>
                        <td>
                            <input name="<?php echo $expandoo_pixel_name; ?>" type="text" id="<?php echo $expandoo_pixel_name; ?>" value="<?php echo $expandoo_pixel; ?>" class="regular-text code" />
                            <p class="description">Expands images to given pixel value</p>
                        </td>
                    </tr>
                </table>
                
        <?php
            break;
            case 'animation' :
        ?>
                
                <h3>Animation settings</h3>
                <table class="form-table">
                    
                    <tr valign="top">
                        <th scope="row"><label for="<?php echo $expandoo_speed_name; ?>">Speed</label></th>
                        <td>
                            <input name="<?php echo $expandoo_speed_name; ?>" type="text" id="<?php echo $expandoo_speed_name; ?>" value="<?php echo $expandoo_speed; ?>" class="medium-text code" />
                            <p class="description">(In milliseconds)</p>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label for="<?php echo $expandoo_easing_name; ?>">Easing</label></th>
                        <td>
                            <select name="<?php echo $expandoo_easing_name; ?>" id="<?php echo $expandoo_easing_name; ?>" value="<?php echo $expandoo_easing; ?>">
                                <option value="linear" <?php selected($expandoo_easing == "linear"); ?>>linear</option>
                                <option value="swing" <?php selected($expandoo_easing == "swing"); ?>>swing</option>
                                <option value="easeInQuad" <?php selected($expandoo_easing == "easeInQuad"); ?>>easeInQuad</option>
                                <option value="easeOutQuad" <?php selected($expandoo_easing == "easeOutQuad"); ?>>easeOutQuad</option>
                                <option value="easeInOutQuad" <?php selected($expandoo_easing == "easeInOutQuad"); ?>>easeInOutQuad</option>
                                <option value="easeInCubic" <?php selected($expandoo_easing == "easeInCubic"); ?>>easeInCubic</option>
                                <option value="easeOutCubic" <?php selected($expandoo_easing == "easeOutCubic"); ?>>easeOutCubic</option>
                                <option value="easeInOutCubic" <?php selected($expandoo_easing == "easeInOutCubic"); ?>>easeInOutCubic</option>
                                <option value="easeInQuart" <?php selected($expandoo_easing == "easeInQuart"); ?>>easeInQuart</option>
                                <option value="easeOutQuart" <?php selected($expandoo_easing == "easeOutQuart"); ?>>easeOutQuart</option>
                                <option value="easeInOutQuart" <?php selected($expandoo_easing == "easeInOutQuart"); ?>>easeInOutQuart</option>
                                <option value="easeInQuint" <?php selected($expandoo_easing == "easeInQuint"); ?>>easeInQuint</option>
                                <option value="easeOutQuint" <?php selected($expandoo_easing == "easeOutQuint"); ?>>easeOutQuint</option>
                                <option value="easeInOutQuint" <?php selected($expandoo_easing == "easeInOutQuint"); ?>>easeInOutQuint</option>
                                <option value="easeInExpo" <?php selected($expandoo_easing == "easeInExpo"); ?>>easeInExpo</option>
                                <option value="easeOutExpo" <?php selected($expandoo_easing == "easeOutExpo"); ?>>easeOutExpo</option>
                                <option value="easeInOutExpo" <?php selected($expandoo_easing == "easeInOutExpo"); ?>>easeInOutExpo</option>
                                <option value="easeInSine" <?php selected($expandoo_easing == "easeInSine"); ?>>easeInSine</option>
                                <option value="easeOutSine" <?php selected($expandoo_easing == "easeOutSine"); ?>>easeOutSine</option>
                                <option value="easeInOutSine" <?php selected($expandoo_easing == "easeInOutSine"); ?>>easeInOutSine</option>
                                <option value="easeInCirc" <?php selected($expandoo_easing == "easeInCirc"); ?>>easeInCirc</option>
                                <option value="easeOutCirc" <?php selected($expandoo_easing == "easeOutCirc"); ?>>easeOutCirc</option>
                                <option value="easeInOutCirc" <?php selected($expandoo_easing == "easeInOutCirc"); ?>>easeInOutCirc</option>
                                <option value="easeInElastic" <?php selected($expandoo_easing == "easeInElastic"); ?>>easeInElastic</option>
                                <option value="easeOutElastic" <?php selected($expandoo_easing == "easeOutElastic"); ?>>easeOutElastic</option>
                                <option value="easeInOutElastic" <?php selected($expandoo_easing == "easeInOutElastic"); ?>>easeInOutElastic</option>
                                <option value="easeInBack" <?php selected($expandoo_easing == "easeInBack"); ?>>easeInBack</option>
                                <option value="easeOutBack" <?php selected($expandoo_easing == "easeOutBack"); ?>>easeOutBack</option>
                                <option value="easeInOutBack" <?php selected($expandoo_easing == "easeInOutBack"); ?>>easeInOutBack</option>
                                <option value="easeInBounce" <?php selected($expandoo_easing == "easeInBounce"); ?>>easeInBounce</option>
                                <option value="easeOutBounce" <?php selected($expandoo_easing == "easeOutBounce"); ?>>easeOutBounce</option>
                                <option value="easeInOutBounce" <?php selected($expandoo_easing == "easeInOutBounce"); ?>>easeInOutBounce</option>
                            </select>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label>3D Effect</label></th>
                        <td>
                            <label>on <input type="radio" name="expandoo_effect" value="on" <?php checked($expandoo_effect == 'on'); ?>/></label>&nbsp;&nbsp;&nbsp;
                            <label>off <input type="radio" name="expandoo_effect" value="off" <?php checked($expandoo_effect == 'off'); ?>/></label>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label for="<?php echo $expandoo_shadow_name; ?>">Shadow depth</label></th>
                        <td>
                            <input name="<?php echo $expandoo_shadow_name; ?>" type="number" id="<?php echo $expandoo_shadow_name; ?>" value="<?php echo $expandoo_shadow; ?>" class="medium-text code" />
                            <p class="description">(In pixels)</p>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row">Shadow offset</th>
                        <td>
                            <fieldset>
                                <legend class="screen-reader-text"><span>Shadow offset</span></legend>
                                <label for="<?php echo $expandoo_offset_t_name; ?>">Top</label>
                                <input name="<?php echo $expandoo_offset_t_name; ?>" type="number" step="1" min="0" id="<?php echo $expandoo_offset_t_name; ?>" value="<?php echo $expandoo_offset_t; ?>" class="small-text code">
                        
                                <label for="<?php echo $expandoo_offset_l_name; ?>">Left</label>
                                <input name="<?php echo $expandoo_offset_l_name; ?>" type="number" step="1" min="0" id="<?php echo $expandoo_offset_l_name; ?>" value="<?php echo $expandoo_offset_l; ?>" class="small-text code">
                                <p class="description">(In percentage)</p>
                            </fieldset>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label for="<?php echo $expandoo_color_name; ?>">Shadow color</label></th>
                        <td>
                            <input name="<?php echo $expandoo_color_name; ?>" type="text" id="<?php echo $expandoo_color_name; ?>" value="<?php echo $expandoo_color; ?>" class="regular-text code expandoo-color" />
                        </td>
                    </tr>
                    
                </table>
        <?php
            break;
            case 'tooltip' :
                ?>

                <h3>Tooltip settings</h3>
                <table class="form-table">
                    
                    <tr valign="top">
                        <th scope="row"><label>Tooltip</label></th>
                        <td>
                            <label>on <input type="radio" name="expandoo_tooltip" value="on" <?php checked($expandoo_tooltip == 'on'); ?>/></label>&nbsp;&nbsp;&nbsp;
                            <label>off <input type="radio" name="expandoo_tooltip" value="off" <?php checked($expandoo_tooltip == 'off'); ?>/></label>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label>Tooltip text</label></th>
                        <td>
                            <select name="<?php echo $expandoo_text_name; ?>" id="<?php echo $expandoo_text_name; ?>" value="<?php echo $expando_text; ?>">
                                <option value="custom" <?php selected($expandoo_text == "custom"); ?>>Custom tooltip text</option>
                                <option value="alt" <?php selected($expandoo_text == "alt"); ?>>Use image alt text</option>
                                <option value="title" <?php selected($expandoo_text == "title"); ?>>Use image title text</option>
                                <option value="caption" <?php selected($expandoo_text == "caption"); ?>>Use image caption text</option>
                            </select>
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label for="<?php echo $expandoo_custom_text_mini_name; ?>">Tooltip text minimized</label></th>
                        <td>
                            <input name="<?php echo $expandoo_custom_text_mini_name; ?>" type="text" id="<?php echo $expandoo_custom_text_mini_name; ?>" value="<?php echo $expandoo_custom_text_mini; ?>" class="regular-text" />
                        </td>
                    </tr>
                    
                    <tr valign="top">
                        <th scope="row"><label for="<?php echo $expandoo_custom_text_maxi_name; ?>">Tooltip text expanded</label></th>
                        <td>
                            <input name="<?php echo $expandoo_custom_text_maxi_name; ?>" type="text" id="<?php echo $expandoo_custom_text_maxi_name; ?>" value="<?php echo $expandoo_custom_text_maxi; ?>" class="regular-text" />
                        </td>
                    </tr>
                    
                </table>
                <?php
            break;
        }
    }
        ?>
                <p class="submit">
                    <input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
                </p>
            </form>
        </div>